From 03372a3611be4a8acbf79024aa3626f5ee4ac369 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <peter.geoghegan86@gmail.com>
Date: Mon, 22 Jun 2015 16:00:54 -0700
Subject: [PATCH 2/2] Release note compatibility item

Note that json and jsonb extraction operators no longer consider a
negative subscript to be invalid.
---
 doc/src/sgml/release-9.5.sgml | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/doc/src/sgml/release-9.5.sgml b/doc/src/sgml/release-9.5.sgml
index 4e2ea45..cbe20ca 100644
--- a/doc/src/sgml/release-9.5.sgml
+++ b/doc/src/sgml/release-9.5.sgml
@@ -125,6 +125,17 @@
      </para>
     </listitem>
 
+    <listitem>
+     <para>
+      Allow <type>json</> and <type>jsonb</> extraction operators to
+      accept negative subscripts, which count from the end of JSON
+      arrays.  Historically, these operators yielded <literal>NULL</>
+      in the event of a negative subscript, because negative
+      subscripts were considered invalid.  (Peter Geoghegan, Andrew
+      Dunstan)
+     </para>
+    </listitem>
+
    </itemizedlist>
 
   </sect2>
-- 
1.9.1

